<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_00228d8faefcea" . "40b88e38b6f0ef8" . "fb8" => base64_decode("V3Jvbmcgc2VyaWFsaX" . "plZCBzdHJpbmcgb2Yg" . "Q29udHJvbA=="), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_c244a470df52d1d5a7085138e" . "c94e393" => base64_decode("dW5zZXJpYWxp" . "emU="), "_fc9d7314a9d9958d8" . "fa0a403ba8ff197" => base64_decode("Z2V" . "0X2" . "NsY" . "XNz"), "_347a4304a606a9c406a8fbc8f72530" . "a1" => base64_decode("TWV0aG" . "9kIA=="), "_c9ae15d69685c02eeabd" . "974f86df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRl" . "ZmluZWQ="), "_ecfcdf011b493a3e718c1fe7" . "034e0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm" . "0oKSBtdXN0IGJlIHJl" . "ZGVmaW5lZA=="), "_5e9a99dc0dd49b907abf1b35e96965f" . "8" => base64_decode("dHJpb" . "Q=="), "_96be32a6f44bf54e635e1736acf7a" . "96c" => base64_decode("c2VyaWFsaXp" . "l"));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_96be32a6" . "f44bf54e6" . "35e1736ac" . "f7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5e9a99dc0dd49b907abf1" . "b35e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_00228d8" . "faefcea4" . "0b88e38b" . "6f0ef8fb" . "8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c244a470df" . "52d1d5a7085" . "138ec94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_347a4304a6" . "06a9c406a8f" . "bc8f72530a1"] . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_fc9d7314a" . "9d9958d8fa" . "0a403ba8ff" . "197"]($this) . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ecfcdf011b4" . "93a3e718c1fe" . "7034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_347a4304a606a9c406a8fb" . "c8f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_fc9d7314a9d9958d8fa0a403ba8ff1" . "97"]($this) . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c9ae15d69685c02eeab" . "d974f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}